Subject: Re: bug#34690: 26.1; Emacs gets stuck when replacing text

From: Noam Postavsky <[email-masked]>
Date: Mon, 01 Apr 2019 21:34:26 -0400

Daniel Hernandez <[email-masked]> writes:

> Exactly after pressing M-% to replace text, Emacs gets stuck. The emacs
> process was using 90% of the CPU until I killed the process.  The
> problem started when I customize the font. If I comment the lines that
> Custom added to the ".emacs" file, then the problem disappeared.
>
> The lines added by Custom are the following:
>
> (custom-set-faces
>  ;; custom-set-faces was added by Custom.
>  ;; If you edit it by hand, you could mess it up, so be careful.
>  ;; Your init file should contain only one such instance.
>  ;; If there is more than one, they won't work right.
>  '(default ((t (:family "Inconsolata" :foundry "unknown" :slant
>  normal :weight normal :height 128 :width normal)))))

Does (setq query-replace-from-to-separator " -> ") avoid the problem (as
suggested in Bug#30291)?